RubyGems Navigation menu

rubocop 0.59.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.14.0 - May 05, 2021 (478 KB)
  2. 1.13.0 - April 20, 2021 (477 KB)
  3. 1.12.1 - April 04, 2021 (477 KB)
  4. 1.12.0 - March 24, 2021 (476 KB)
  5. 1.11.0 - March 01, 2021 (473 KB)
  6. 0.59.0 - September 09, 2018 (399 KB)
Show all versions (176 total)

Runtime Dependencies (7):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser != 2.5.1.1, >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (2):

  • bundler ~> 1.3
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    455597f026940948d5c46a84660a0a944f07d6cf27f497d7147bc49626ced183

    Total downloads 157,571,234

    For this version 783,419

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.0

    Links: